Skip to main content
PATCH
/
api
/
v1
/
sub-organizations
/
{subOrgId}
cURL
curl --request PATCH \
  --url https://us.infisical.com/api/v1/sub-organizations/{subOrgId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>"
}
'
{
  "organization": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "slug": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "parentOrgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

subOrgId
string
required

The id of the sub organization to update.

Body

application/json
name
string

Optional. The display name of the sub-organization. When only the name is provided (no slug), both name and slug are updated.

Required string length: 1 - 64
slug
string

Optional. The slug of the sub-organization. Can be updated independently when both name and slug are provided.

Required string length: 1 - 64

Response

Default Response

organization
object
required